# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140816.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Aug 17 01:15:55 UTC 2014
# ------------------------------------------------------------------------------
# NEWS                                 |    7 ++++++-
# dist.mk                              |    4 ++--
# doc/html/man/adacurses-config.1.html |    2 +-
# doc/html/man/captoinfo.1m.html       |    2 +-
# doc/html/man/clear.1.html            |    2 +-
# doc/html/man/form.3x.html            |   23 ++++++++++-------------
# doc/html/man/infocmp.1m.html         |    2 +-
# doc/html/man/infotocap.1m.html       |    2 +-
# doc/html/man/menu.3x.html            |   23 ++++++++++-------------
# doc/html/man/ncurses.3x.html         |    2 +-
# doc/html/man/ncurses5-config.1.html  |    2 +-
# doc/html/man/panel.3x.html           |    2 +-
# doc/html/man/tabs.1.html             |    2 +-
# doc/html/man/terminfo.5.html         |    2 +-
# doc/html/man/tic.1m.html             |    2 +-
# doc/html/man/toe.1m.html             |    2 +-
# doc/html/man/tput.1.html             |    2 +-
# doc/html/man/tset.1.html             |    2 +-
# man/form.3x                          |   10 +++++-----
# man/menu.3x                          |   10 +++++-----
# ncurses/base/lib_addch.c             |    4 ++--
# package/debian-mingw/changelog       |    4 ++--
# package/debian-mingw64/changelog     |    4 ++--
# package/debian/changelog             |    4 ++--
# package/mingw-ncurses.nsi            |    4 ++--
# package/mingw-ncurses.spec           |    2 +-
# package/ncurses.spec                 |    2 +-
# test/ncurses.c                       |    4 +++-
# 28 files changed, 67 insertions(+), 66 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2257 
--- ncurses-5.9-20140809+/NEWS	2014-08-09 22:05:47.000000000 +0000
+++ ncurses-5.9-20140816/NEWS	2014-08-16 23:28:26.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2257 2014/08/09 22:05:47 tom Exp $
+-- $Id: NEWS,v 1.2260 2014/08/16 23:28:26 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140816
+	+ fix colors in ncurses 'b' test which did not work after changing
+	  it to put the test-strings in subwindows (cf: 20140705).
+	+ merge redundant SEE-ALSO sections in form and menu manpages.
+
 20140809
 	+ modify declarations for user-data pointers in C++ binding to use
 	  reinterpret_cast to facilitate converting typed pointers to void*
Index: dist.mk
Prereq:  1.1000 
--- ncurses-5.9-20140809+/dist.mk	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/dist.mk	2014-08-14 07:59:48.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1000 2014/08/09 00:33:11 tom Exp $
+# $Id: dist.mk,v 1.1001 2014/08/14 07:59:48 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20140809
+NCURSES_PATCH = 20140816
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/man/adacurses-config.1.html
--- ncurses-5.9-20140809+/doc/html/man/adacurses-config.1.html	2014-08-09 21:01:49.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/adacurses-config.1.html	2014-08-16 20:43:07.000000000 +0000
@@ -137,7 +137,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/captoinfo.1m.html
--- ncurses-5.9-20140809+/doc/html/man/captoinfo.1m.html	2014-08-09 21:01:49.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/captoinfo.1m.html	2014-08-16 20:43:07.000000000 +0000
@@ -205,7 +205,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 </PRE>
Index: doc/html/man/clear.1.html
--- ncurses-5.9-20140809+/doc/html/man/clear.1.html	2014-08-09 21:01:49.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/clear.1.html	2014-08-16 20:43:07.000000000 +0000
@@ -71,7 +71,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/form.3x.html
--- ncurses-5.9-20140809+/doc/html/man/form.3x.html	2014-08-09 21:01:53.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/form.3x.html	2014-08-16 20:43:11.000000000 +0000
@@ -2,7 +2,7 @@
 <!-- 
   * t
   ****************************************************************************
-  * Copyright (c) 1998-2008,2010 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2010,2014 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -28,7 +28,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: form.3x,v 1.24 2010/12/04 18:40:45 tom Exp @
+  * @Id: form.3x,v 1.25 2014/08/16 20:31:45 tom Exp @
 -->
 <HTML>
 <HEAD>
@@ -213,37 +213,34 @@
 
 
 </PRE>
-<H2>SEE ALSO</H2><PRE>
-       <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
-       detailed descriptions of the entry points.
-
-
-</PRE>
 <H2>NOTES</H2><PRE>
        The header file <STRONG>&lt;form.h&gt;</STRONG> automatically includes the header
        files <STRONG>&lt;curses.h&gt;</STRONG> and <STRONG>&lt;eti.h&gt;</STRONG>.
 
-       In  your  library  list,  libform.a should be before libn-
+       In your library list, libform.a  should  be  before  libn-
        curses.a; that is, you want to say `-lform -lncurses', not
-       the  other  way  around (which would give you a link error
+       the other way around (which would give you  a  link  error
        using most linkers).
 
 
 </PRE>
 <H2>PORTABILITY</H2><PRE>
-       These routines emulate the System V forms  library.   They
+       These  routines  emulate the System V forms library.  They
        were not supported on Version 7 or BSD versions.
 
 
 </PRE>
 <H2>AUTHORS</H2><PRE>
-       Juergen  Pfeifer.  Manual pages and adaptation for ncurses
+       Juergen Pfeifer.  Manual pages and adaptation for  ncurses
        by Eric S. Raymond.
 
 
 </PRE>
 <H2>SEE ALSO</H2><PRE>
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
+       detailed descriptions of the entry points.
+
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-5.9-20140809+/doc/html/man/infocmp.1m.html	2014-08-09 21:01:54.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/infocmp.1m.html	2014-08-16 20:43:12.000000000 +0000
@@ -455,7 +455,7 @@
 
        http://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 </PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-5.9-20140809+/doc/html/man/infotocap.1m.html	2014-08-09 21:01:54.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/infotocap.1m.html	2014-08-16 20:43:12.000000000 +0000
@@ -94,7 +94,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 </PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-5.9-20140809+/doc/html/man/menu.3x.html	2014-08-09 21:01:54.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/menu.3x.html	2014-08-16 20:43:12.000000000 +0000
@@ -2,7 +2,7 @@
 <!-- 
   * t
   ****************************************************************************
-  * Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2010,2014 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -28,7 +28,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: menu.3x,v 1.21 2010/12/04 18:40:45 tom Exp @
+  * @Id: menu.3x,v 1.22 2014/08/16 20:32:08 tom Exp @
 -->
 <HTML>
 <HEAD>
@@ -196,37 +196,34 @@
 
 
 </PRE>
-<H2>SEE ALSO</H2><PRE>
-       <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
-       detailed descriptions of the entry points.
-
-
-</PRE>
 <H2>NOTES</H2><PRE>
        The header file <STRONG>&lt;menu.h&gt;</STRONG> automatically includes the header
        files <STRONG>&lt;curses.h&gt;</STRONG> and <STRONG>&lt;eti.h&gt;</STRONG>.
 
-       In  your  library  list,  libmenu.a should be before libn-
+       In your library list, libmenu.a  should  be  before  libn-
        curses.a; that is, you want to say `-lmenu -lncurses', not
-       the  other  way  around  (which would usually give a link-
+       the other way around (which would  usually  give  a  link-
        error).
 
 
 </PRE>
 <H2>PORTABILITY</H2><PRE>
-       These routines emulate the System V  menu  library.   They
+       These  routines  emulate  the System V menu library.  They
        were not supported on Version 7 or BSD versions.
 
 
 </PRE>
 <H2>AUTHORS</H2><PRE>
-       Juergen  Pfeifer.  Manual pages and adaptation for ncurses
+       Juergen Pfeifer.  Manual pages and adaptation for  ncurses
        by Eric S. Raymond.
 
 
 </PRE>
 <H2>SEE ALSO</H2><PRE>
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
+       detailed descriptions of the entry points.
+
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/ncurses.3x.html
--- ncurses-5.9-20140809+/doc/html/man/ncurses.3x.html	2014-08-09 21:01:55.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/ncurses.3x.html	2014-08-16 20:43:14.000000000 +0000
@@ -63,7 +63,7 @@
        sonable optimization.  This implementation is "new curses"
        (ncurses) and is the approved replacement for 4.4BSD clas-
        sic  curses,  which has been discontinued.  This describes
-       <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
        The <STRONG>ncurses</STRONG> library emulates the curses library of  System
        V  Release  4  UNIX,  and  XPG4 (X/Open Portability Guide)
Index: doc/html/man/ncurses5-config.1.html
--- ncurses-5.9-20140809+/doc/html/man/ncurses5-config.1.html	2014-08-09 21:01:55.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/ncurses5-config.1.html	2014-08-16 20:43:14.000000000 +0000
@@ -119,7 +119,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/panel.3x.html
--- ncurses-5.9-20140809+/doc/html/man/panel.3x.html	2014-08-09 21:01:55.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/panel.3x.html	2014-08-16 20:43:14.000000000 +0000
@@ -218,7 +218,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 </PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-5.9-20140809+/doc/html/man/tabs.1.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/tabs.1.html	2014-08-16 20:43:14.000000000 +0000
@@ -160,7 +160,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/terminfo.5.html
--- ncurses-5.9-20140809+/doc/html/man/terminfo.5.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/terminfo.5.html	2014-08-16 20:43:14.000000000 +0000
@@ -78,7 +78,7 @@
        nals by giving a set of capabilities which they  have,  by
        specifying how to perform screen operations, and by speci-
        fying padding requirements and  initialization  sequences.
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
        Entries in <EM>terminfo</EM> consist of a sequence of `,' separated
        fields (embedded commas may be escaped with a backslash or
Index: doc/html/man/tic.1m.html
--- ncurses-5.9-20140809+/doc/html/man/tic.1m.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/tic.1m.html	2014-08-16 20:43:15.000000000 +0000
@@ -389,7 +389,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,    <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 </PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-5.9-20140809+/doc/html/man/toe.1m.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/toe.1m.html	2014-08-16 20:43:15.000000000 +0000
@@ -119,7 +119,7 @@
        <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,    <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-5.9-20140809+/doc/html/man/tput.1.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/tput.1.html	2014-08-16 20:43:15.000000000 +0000
@@ -338,7 +338,7 @@
 <H2>SEE ALSO</H2><PRE>
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>, <STRONG>stty(1)</STRONG>, <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-5.9-20140809+/doc/html/man/tset.1.html	2014-08-09 21:01:56.000000000 +0000
+++ ncurses-5.9-20140816/doc/html/man/tset.1.html	2014-08-16 20:43:15.000000000 +0000
@@ -319,7 +319,7 @@
        <STRONG>csh(1)</STRONG>,   <STRONG>sh(1)</STRONG>,   <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,
        <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140809).
+       This describes <STRONG>ncurses</STRONG> version 5.9 (patch 20140816).
 
 
 
Index: man/form.3x
Prereq:  1.24 
--- ncurses-5.9-20140809+/man/form.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-5.9-20140816/man/form.3x	2014-08-16 20:31:45.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2008,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2014 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form.3x,v 1.24 2010/12/04 18:40:45 tom Exp $
+.\" $Id: form.3x,v 1.25 2014/08/16 20:31:45 tom Exp $
 .TH form 3X ""
 .SH NAME
 \fBform\fR \- curses extension for programming forms
@@ -189,9 +189,6 @@
 .TP 5
 .B E_UNKNOWN_COMMAND
 The form driver code saw an unknown request code.
-.SH SEE ALSO
-\fBcurses\fR(3X) and related pages whose names begin "form_" for detailed
-descriptions of the entry points.
 .SH NOTES
 The header file \fB<form.h>\fR automatically includes the header files
 \fB<curses.h>\fR and \fB<eti.h>\fR.
@@ -206,5 +203,8 @@
 Juergen Pfeifer.  Manual pages and adaptation for ncurses by Eric
 S. Raymond.
 .SH SEE ALSO
+\fBcurses\fR(3X) and related pages whose names begin "form_" for detailed
+descriptions of the entry points.
+.PP
 This describes \fBncurses\fR
 version @NCURSES_MAJOR@.@NCURSES_MINOR@ (patch @NCURSES_PATCH@).
Index: man/menu.3x
Prereq:  1.21 
--- ncurses-5.9-20140809+/man/menu.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-5.9-20140816/man/menu.3x	2014-08-16 20:32:08.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2014 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: menu.3x,v 1.21 2010/12/04 18:40:45 tom Exp $
+.\" $Id: menu.3x,v 1.22 2014/08/16 20:32:08 tom Exp $
 .TH menu 3X ""
 .SH NAME
 \fBmenu\fR \- curses extension for programming menus
@@ -166,9 +166,6 @@
 .TP 5
 .B E_UNKNOWN_COMMAND
 The menu driver code saw an unknown request code.
-.SH SEE ALSO
-\fBcurses\fR(3X) and related pages whose names begin "menu_" for detailed
-descriptions of the entry points.
 .SH NOTES
 The header file \fB<menu.h>\fR automatically includes the header files
 \fB<curses.h>\fR and \fB<eti.h>\fR.
@@ -183,5 +180,8 @@
 Juergen Pfeifer.  Manual pages and adaptation for ncurses by Eric
 S. Raymond.
 .SH SEE ALSO
+\fBcurses\fR(3X) and related pages whose names begin "menu_" for detailed
+descriptions of the entry points.
+.PP
 This describes \fBncurses\fR
 version @NCURSES_MAJOR@.@NCURSES_MINOR@ (patch @NCURSES_PATCH@).
Index: ncurses/base/lib_addch.c
Prereq:  1.128 
--- ncurses-5.9-20140809+/ncurses/base/lib_addch.c	2014-02-23 01:21:08.000000000 +0000
+++ ncurses-5.9-20140816/ncurses/base/lib_addch.c	2014-08-16 20:41:04.000000000 +0000
@@ -36,7 +36,7 @@
 #include <curses.priv.h>
 #include <ctype.h>
 
-MODULE_ID("$Id: lib_addch.c,v 1.128 2014/02/23 01:21:08 tom Exp $")
+MODULE_ID("$Id: lib_addch.c,v 1.129 2014/08/16 20:41:04 tom Exp $")
 
 static const NCURSES_CH_T blankchar = NewChar(BLANK_TEXT);
 
@@ -501,7 +501,7 @@
     default:
 	while (*s) {
 	    NCURSES_CH_T sch;
-	    SetChar(sch, *s++, AttrOf(ch));
+	    SetChar(sch, UChar(*s++), AttrOf(ch));
 	    if_EXT_COLORS(SetPair(sch, GetPair(ch)));
 	    if (waddch_literal(win, sch) == ERR)
 		return ERR;
Index: package/debian-mingw/changelog
--- ncurses-5.9-20140809+/package/debian-mingw/changelog	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/debian-mingw/changelog	2014-08-14 07:59:48.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140809) unstable; urgency=low
+ncurses6 (5.9-20140816) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Aug 2014 20:33:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 14 Aug 2014 03:59:48 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20140809+/package/debian-mingw64/changelog	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/debian-mingw64/changelog	2014-08-14 07:59:48.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140809) unstable; urgency=low
+ncurses6 (5.9-20140816) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Aug 2014 20:33:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 14 Aug 2014 03:59:48 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20140809+/package/debian/changelog	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/debian/changelog	2014-08-14 07:59:48.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140809) unstable; urgency=low
+ncurses6 (5.9-20140816) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Aug 2014 20:33:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 14 Aug 2014 03:59:48 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.55 
--- ncurses-5.9-20140809+/package/mingw-ncurses.nsi	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/mingw-ncurses.nsi	2014-08-14 07:59:48.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.55 2014/08/09 00:33:11 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.56 2014/08/14 07:59:48 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "0809"
+!define VERSION_MMDD  "0816"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20140809+/package/mingw-ncurses.spec	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/mingw-ncurses.spec	2014-08-14 07:59:48.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20140809
+Release: 20140816
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20140809+/package/ncurses.spec	2014-08-09 00:33:11.000000000 +0000
+++ ncurses-5.9-20140816/package/ncurses.spec	2014-08-14 07:59:48.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20140809
+Release: 20140816
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/ncurses.c
Prereq:  1.415 
--- ncurses-5.9-20140809+/test/ncurses.c	2014-08-09 22:28:42.000000000 +0000
+++ ncurses-5.9-20140816/test/ncurses.c	2014-08-16 23:30:20.000000000 +0000
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.415 2014/08/09 22:28:42 tom Exp $
+$Id: ncurses.c,v 1.416 2014/08/16 23:30:20 tom Exp $
 
 ***************************************************************************/
 
@@ -1640,6 +1640,7 @@
 			beep();
 		    } else {
 			extras |= (chtype) COLOR_PAIR(pair);
+			normal &= ~A_COLOR;
 		    }
 		}
 	    }
@@ -1653,6 +1654,7 @@
 	    for (j = 0; j < my_size; ++j) {
 		bool arrow = (j == k);
 		row = show_attr(my_wins[j], row, n, arrow,
+				normal |
 				extras |
 				my_list[j].attr |
 				my_list[k].attr,
